/*
 * relay
 */

#map {
	width: 100%;
	height: 40em;
	border-radius: 1rem;
}

.relay[data-state="inactive"] {
	color: var(--color-text-faint);
}



.grid {
	gap: 1em;
	grid-template-rows: repeat(2, auto);
}
.grid .relay {
	display: grid;
	grid-template-rows: subgrid;
	grid-row: span 2;
	justify-items: center;
	align-items: self-start;
}
#wrapper .relay h1 {
	font-size: 1.25em;
}

.grid .relay figure::before {
	content: "";
	width: 1px;
	margin-left: -1px;
	float: left;
	height: 0;
	padding-top: 100%;  /* Aspect Ratio */
}

.grid .relay figure > div {
	position: absolute;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-content: center;
	padding: 2em;
	background: rgba(from oklch(from currentcolor .65 calc(c * .75) h) r g b / .04);
	/* background: radial-gradient(at center, rgba(from currentcolor r g b / .25) 0%, rgba(255, 255, 255, 0) 70%, rgba(255, 255, 255, 0) 100%); */
}
.grid .relay figure img {
	position: static;
	object-fit: contain;
	font-family: 'object-fit: contain;';

	width: auto;
	height: auto;

	transition: transform .5s ease, padding .5s ease;
	transition-delay: 0s;

	/* box-shadow: rgba(from currentcolor r g b / .65) 0 4px 22px; */
	box-shadow: rgba(from oklch(from currentcolor .65 calc(c * .75) h) r g b / .5) 0 4px 22px;
}
.grid > li.relay:hover figure img {
	transform: scale(1.2);
	transition: transform .25s ease;
}
